Buy Cinema Experience Tickets

circle-exclamation

Buy Cinema Experience Tickets

post

This endpoint allows users to purchase cinema experience tickets by referencing IDs retrieved from separate ticket and experience endpoints. This is similar to the normal experience purchase endpoint, with the exception of the attendance_date and time_id attributes.

Body
experience_idstringRequired

Unique identifier of the experience.

Example: 32d4f98c-7f49-40ec-9782-2cbfe83005f4
attendance_datestringRequired

The date the user plans to watch the movie at the cinema. The user should select a date from those returned by a separate endpoint.

Example: 23-09-2024
time_idintegerRequired

The ID of the time period that the user will be watching the movie. The cinema business sets the time during the day that the movie shows. Example: 11:30AM - 2:30PM, 6:05 PM - 8:45 PM. Each of these time ranges has an ID.

Example: 3
Responses
chevron-right
201

Ticket purchased successfully

application/json
successbooleanOptional
statusintegerOptional
messagestringOptional
post
/api/v1/merpi/experience/buy/tickets

Last updated